Skip to main content
PUT
/
custom-attributes
/
clients
/
{id}
/
values
/
_bulk
Update custom attribute values for a company
curl --request PUT \
  --url https://api.gospott.com/custom-attributes/clients/{id}/values/_bulk \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "attributes": [
    {
      "attributeDefinitionId": "550e8400-e29b-41d4-a716-446655440000",
      "value": {
        "viewType": "customText",
        "text": "Senior Software Engineer"
      }
    }
  ]
}
'

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

id
string
required

Body

application/json
attributes
object[]
required

Array of custom attribute values to update

Response

Custom attribute values updated successfully